VULKAN_HPP_NAMESPACE::ShaderResourceUsageAMD Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkShaderResourceUsageAMD const & () const
| operator VkShaderResourceUsageAMD & ()
bool | operator== (ShaderResourceUsageAMD const &rhs) const
bool | operator!= (ShaderResourceUsageAMD const &rhs) const

## Data Fields

uint32_t | numUsedVgprs
uint32_t | numUsedSgprs
uint32_t | ldsSizePerLocalWorkGroup
size_t | ldsUsageSizeInBytes
size_t | scratchMemUsageInBytes

## Detailed Description

Definition at line 7685 of file vulkan.hpp.

## Member Function Documentation

## operator VkShaderResourceUsageAMD &()

VULKAN_HPP_NAMESPACE::ShaderResourceUsageAMD::operator VkShaderResourceUsageAMD & | ( |  | ) |

inline

Definition at line 7692 of file vulkan.hpp.

{
return *reinterpret_cast<VkShaderResourceUsageAMD*>(this);
}

## operator VkShaderResourceUsageAMD const &()

VULKAN_HPP_NAMESPACE::ShaderResourceUsageAMD::operator VkShaderResourceUsageAMD const & | ( |  | ) | const

inline

Definition at line 7687 of file vulkan.hpp.

{
return *reinterpret_cast<const VkShaderResourceUsageAMD*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ShaderResourceUsageAMD::operator!= | ( | ShaderResourceUsageAMD const & | rhs | ) | const

inline

Definition at line 7706 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::ShaderResourceUsageAMD::operator== | ( | ShaderResourceUsageAMD const & | rhs | ) | const

inline

Definition at line 7697 of file vulkan.hpp.

{
return ( numUsedVgprs == rhs.numUsedVgprs )
&& ( numUsedSgprs == rhs.numUsedSgprs )
&& ( ldsSizePerLocalWorkGroup == rhs.ldsSizePerLocalWorkGroup )
&& ( ldsUsageSizeInBytes == rhs.ldsUsageSizeInBytes )
&& ( scratchMemUsageInBytes == rhs.scratchMemUsageInBytes );
}

References ldsSizePerLocalWorkGroup, ldsUsageSizeInBytes, numUsedSgprs, numUsedVgprs, and scratchMemUsageInBytes.

Referenced by operator!=().

## Field Documentation

## ldsSizePerLocalWorkGroup

uint32_t VULKAN_HPP_NAMESPACE::ShaderResourceUsageAMD::ldsSizePerLocalWorkGroup

Definition at line 7713 of file vulkan.hpp.

Referenced by operator==().

## ldsUsageSizeInBytes

size_t VULKAN_HPP_NAMESPACE::ShaderResourceUsageAMD::ldsUsageSizeInBytes

Definition at line 7714 of file vulkan.hpp.

Referenced by operator==().

## numUsedSgprs

uint32_t VULKAN_HPP_NAMESPACE::ShaderResourceUsageAMD::numUsedSgprs

Definition at line 7712 of file vulkan.hpp.

Referenced by operator==().

## numUsedVgprs

uint32_t VULKAN_HPP_NAMESPACE::ShaderResourceUsageAMD::numUsedVgprs

Definition at line 7711 of file vulkan.hpp.

Referenced by operator==().

## scratchMemUsageInBytes

size_t VULKAN_HPP_NAMESPACE::ShaderResourceUsageAMD::scratchMemUsageInBytes

Definition at line 7715 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ShaderResourceUsageAMD::operator==
bool operator==(ShaderResourceUsageAMD const &rhs) const
Definition: vulkan.hpp:7697
VULKAN_HPP_NAMESPACE::ShaderResourceUsageAMD::numUsedVgprs
uint32_t numUsedVgprs
Definition: vulkan.hpp:7711
VULKAN_HPP_NAMESPACE::ShaderResourceUsageAMD::scratchMemUsageInBytes
size_t scratchMemUsageInBytes
Definition: vulkan.hpp:7715
VkShaderResourceUsageAMD
Definition: vulkan_core.h:6545
VULKAN_HPP_NAMESPACE::ShaderResourceUsageAMD::ldsUsageSizeInBytes
size_t ldsUsageSizeInBytes
Definition: vulkan.hpp:7714
VULKAN_HPP_NAMESPACE::ShaderResourceUsageAMD::ldsSizePerLocalWorkGroup
uint32_t ldsSizePerLocalWorkGroup
Definition: vulkan.hpp:7713
VULKAN_HPP_NAMESPACE::ShaderResourceUsageAMD::numUsedSgprs
uint32_t numUsedSgprs
Definition: vulkan.hpp:7712